PERTALIFE Bugs - Bug #2682

Api Error saat submit Leave
04/01/2024 11:34 AM - shofwan shiddiq

Status: Closed Start date: 04/01/2024
Priority: Normal Due date:

Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Dear Azid, mohon di cek API Mobile Pertalife, karena apa bila submit leave, dapat return error dari API

https://server105.minovais.com:52115/api/wf/requestWithAttachment

Json:

{"worlflow_id":0,"status":"Submit","workflow_name":"Leave","absence_type":"01","quota_from":"12","quota_to":"12","delegate_to":"00
310515","duration":"1","duration_ovt":"","remaining_quota":"11","description":null,"action":"200","comment":null,"date":null,"date_from
":"2024-04-01T00:00:00+07:00","date_to0":"2024-04-01T00:00:00+07:00","time_from":null,"time_to":null,"notes":"","reason":"","request

_no":"0","office":"","latitude":"0","longitude":"0","day_type":"","attendance_type":"","filename":"","filetype":"","filebase64":""}

API Mobile: https://server105.minovais.com:52115
Server: remote.minovais.com, 1452
DB: MinovaES_Pertalife_Prod 51115

User: Bintar

History

#1 - 04/01/2024 11:35 AM - shofwan shiddiq
- File clipboard-202404011135-yadt6.png added
POST https:f/server105.minovais.com:52115/api/wf/requestwithAttachment

Headers (9!
Postman-Token ) i <calculated when request is sent>
Content-Type ) applicationfjson
Content-Length <calculated when request is sent>
Host <calculated when request is sent>
User-Agent ) PostmanRuntime/7.37.0
Accept e
Accept-Encoding gzip, deflate, br

Connection ) keep-alive

Authorization 141BAK] JirvgRWF2qF +3g==

#2 - 04/02/2024 04:40 PM - M Azid Wahyudi
https://server105.minovais.com:52115/api/wf/requestWithAttachment
https://server105.minovais.com:52115

- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya
udah di deploy di api 105 dengan DB: MinovaES_Pertalife_Prod_51115

makasih

#3 - 04/17/2024 10:40 AM - Muhammad Bintar

- File clipboard-202404171039-xq3kp.png added

- Status changed from QA Test to Assigned

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

ane tes untuk mobile nya,
masih belum bisa di approve.
tapi kalau di reject di mobile, itu sudah bisa.

#4 - 04/17/2024 02:33 PM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to shofwan shiddiq

dear shofwan , tolong cek di Apknya soalnya ketika nembak lewat postman ke api 105 dia jalan

makasih

#5 - 04/18/2024 10:25 AM - shofwan shiddiq
- Assignee changed from shofwan shiddiq to M Azid Wahyudi

#6 - 04/18/2024 10:26 AM - shofwan shiddiq

- Status changed from Assigned to Closed
